org.apache.lucene.luke.models.search

## Class SearchFactory

- java.lang.Object
- - org.apache.lucene.luke.models.search.SearchFactory

    public class SearchFactory
    extends Object

Factory of `Search`

### Constructor Summary

Constructors
Constructor and Description
`SearchFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Search` `newInstance(IndexReader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchFactory

    public SearchFactory()

### Method Detail

#### newInstance

    public Search newInstance(IndexReader reader)